---
id: 6569c1aeecaf95e25a3e2573
title: Step 32
challengeType: 20
dashedName: step-32
---

# --description--

After your `print()` calls, call the `merge_sort` function and pass in the `numbers` list as an argument.

# --hints--

You should call the `merge_sort` function passing `numbers` as the argument.

```js
({ test: () => assert.match(code, /merge_sort\s*\(\s*numbers\s*\)/) })
```

# --seed--

## --seed-contents--

```py
def merge_sort(array):
    if len(array) <= 1:
        return
    
    middle_point = len(array) // 2
    left_part = array[:middle_point]
    right_part = array[middle_point:]

    merge_sort(left_part)
    merge_sort(right_part)

    left_array_index = 0
    right_array_index = 0
    sorted_index = 0

    while left_array_index < len(left_part) and right_array_index < len(right_part):
        if left_part[left_array_index] < right_part[right_array_index]:
            array[sorted_index] = left_part[left_array_index]
            left_array_index += 1
        else:
            array[sorted_index] = right_part[right_array_index]
            right_array_index += 1
        sorted_index += 1

    while left_array_index < len(left_part):
        array[sorted_index] = left_part[left_array_index]
        left_array_index += 1
        sorted_index += 1
    
    while right_array_index < len(right_part):
        array[sorted_index] = right_part[right_array_index]
        right_array_index += 1
        sorted_index += 1


--fcc-editable-region--
if __name__ == '__main__':
    numbers = [4, 10, 6, 14, 2, 1, 8, 5]
    print('Unsorted array: ')
    print(numbers)

--fcc-editable-region--
```
